Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide
Class NotifyDescriptor.InputLine

    java.lang.Object
      org.openide.NotifyDescriptor
          org.openide.NotifyDescriptor.InputLine

Enclosing class:
  NotifyDescriptor

    public static class NotifyDescriptor.InputLine

extends NotifyDescriptor

Notification providing for a line of text input.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.NotifyDescriptor
`NotifyDescriptor.Confirmation, NotifyDescriptor.Exception, NotifyDescriptor.InputLine, NotifyDescriptor.Message`

Field Summary
`protected JTextField` | `textField` The text field used to enter the input.

Fields inherited from class org.openide.NotifyDescriptor
`CANCEL_OPTION, CLOSED_OPTION, DEFAULT_OPTION, ERROR_MESSAGE, INFORMATION_MESSAGE, NO_OPTION, OK_CANCEL_OPTION, OK_OPTION, PLAIN_MESSAGE, PROP_DETAIL, PROP_MESSAGE, PROP_MESSAGE_TYPE, PROP_OPTION_TYPE, PROP_OPTIONS, PROP_TITLE, PROP_VALID, PROP_VALUE, QUESTION_MESSAGE, WARNING_MESSAGE, YES_NO_CANCEL_OPTION, YES_NO_OPTION, YES_OPTION`

Constructor Summary
`NotifyDescriptor.InputLine(String text, String title)` Construct dialog with the specified title and label text.
`NotifyDescriptor.InputLine(String text, String title, int optionType, int messageType)` Construct dialog with the specified title, label text, option and message types.

Method Summary
`protected Component` | `createDesign(String text)` Make a component representing the input line.
`String` | `getInputText()` Get the text which the user typed into the input line.
`void` | `setInputText(String text)` Set the text on the input line.

Methods inherited from class org.openide.NotifyDescriptor
`addPropertyChangeListener, firePropertyChange, getAdditionalOptions, getDefaultValue, getMessage, getMessageType, getOptions, getOptionType, getTitle, getTitleForType, getValue, initialize, isValid, removePropertyChangeListener, setAdditionalOptions, setMessage, setMessageType, setOptions, setOptionType, setTitle, setValid, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### textField

    protected JTextField textField

  The text field used to enter the input.

Constructor Detail

### NotifyDescriptor.InputLine

    public NotifyDescriptor.InputLine(String text,
                                      String title)

  Construct dialog with the specified title and label text.

  Parameters:
    `text` - label text
    `title` - title of the dialog

### NotifyDescriptor.InputLine

    public NotifyDescriptor.InputLine(String text,
                                      String title,
                                      int optionType,
                                      int messageType)

  Construct dialog with the specified title, label text, option and message types.

  Parameters:
    `text` - label text
    `title` - title of the dialog
    `optionType` - option type (ok, cancel, ...)
    `messageType` - message type (question, ...)

Method Detail

### getInputText

    public String getInputText()

  Get the text which the user typed into the input line.

  Returns:
    the text entered by the user

### setInputText

    public void setInputText(String text)

  Set the text on the input line.

  Parameters:
    `text` - the new text

### createDesign

    protected Component createDesign(String text)

  Make a component representing the input line.

  Parameters:
    `text` - a label for the input line
  Returns:
    the component

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.dialogs 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.